更新 API Key (V2)
Updates a customized ACL API key. Role assignments use full replacement semantics.
该 API 的 Base URL 格式如下:
https://api.cloud.zilliz.com
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
export BASE_URL="https://api.cloud.zilliz.com"
认证令牌,应为具备适当权限的 API Key。
公开 API Key ID。
API Key 显示名称,不得为空。
API Key 描述。
授予 API Key 的组织角色:Owner、Member 或 Billing-Admin。
项目级访问列表。当 orgRole 为 Member 时必填。
项目 ID。
项目内角色:Admin、Read-Write 或 Read-Only。
访问权限是否覆盖项目内的所有集群。
当 allCluster 为 false 时,API Key 可访问的集群列表。
访问权限是否覆盖项目内的所有存储卷。
当 allVolume 为 false 时,API Key 可访问的存储卷列表。
export TOKEN="YOUR_API_KEY"
export apiKeyId="key-xxxxxxxxxxxxxx"
curl --request PUT \
--url "${BASE_URL}/v2/api-keys/${apiKeyId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"name": "Data Pipeline Production",
"description": "Production ingestion pipeline",
"orgRole": "Member",
"projects": [
{
"projectId": "proj-xxxxxxxx",
"role": "Data Reader",
"allCluster": true,
"allVolume": true
}
]
}'
Returns a successful result or an error message.
成功响应。
响应码。
公开 API Key ID。
API Key 显示名称。
API Key 描述。
解析出的创建者显示名称。
创建者邮箱地址或创建者 API Key ID。
授予 API Key 的组织角色:Owner、Member 或 Billing-Admin。
授予 API Key 的项目级访问权限。
项目 ID。
项目显示名称。
项目内角色:Admin、Read-Write 或 Read-Only。
访问权限是否覆盖项目内的所有集群。
API Key 可访问的集群列表。
集群 ID。
集群显示名称。
访问权限是否覆盖项目内的所有存储卷。
API Key 可访问的存储卷列表。
存储卷 ID。
存储卷显示名称。
创建时间,采用 UTC ISO 8601 格式。
失败响应。
响应码。
错误消息。
{
"code": 0,
"data": {
"apiKeyId": "key-xxxxxxxxxxxxxx",
"name": "Data Pipeline Production",
"description": "Production ingestion pipeline",
"creatorName": "Alice",
"createdBy": "alice@example.com",
"createTime": "2026-07-22T02:30:00Z",
"orgRole": "Member",
"projects": [
{
"projectId": "proj-xxxxxxxx",
"projectName": "Project xxxx",
"role": "Data Reader",
"allCluster": true,
"clusters": [],
"allVolume": true,
"volumes": []
}
]
}
}